# Windows-Optimizer

Windows-Optimizer is a batch script designed to help users optimize their Windows 10 system for their specific needs. This script provides various optimization presets to choose from, including General Optimization, Gaming Optimization, Network Optimization, High Performance Optimization, Low End PC Optimization, Privacy Optimization, Office Productivity Optimization, Creative Work Optimization, Developer Optimization, and Power Saver Optimization.

## Features
- Easy-to-use menu system with preset optimizations and individual tweaks
- Preset optimizations for various use cases, including gaming, low-end hardware, power saving, and more
- Individual tweaks for more advanced users to customize their system further
- Simple and lightweight batch script, which is easy to understand

## How to use
1. Download the latest release of the script from the [releases page](https://github.com/username/Windows-Optimizer/releases).
2. Right-click the script file and select "Run as administrator".
3. Choose a preset optimization or individual tweaks to apply.
4. Follow the on-screen instructions and restart the computer if prompted.

## Preset optimizations
- General Optimization: Improves system performance by disabling unnecessary services and features.
- Gaming Optimization: Optimizes system settings for gaming performance.
- Network Optimization: Optimizes network settings for faster internet browsing.
- High Performance Optimization: Increases system performance for power users.
- Low End PC Optimization: Optimizes Windows for low-end hardware.
- Privacy Optimization: Disables tracking and data collection features.
- Office Productivity Optimization: Optimizes settings for office productivity.
- Creative Work Optimization: Optimizes settings for creative work such as video editing and graphic design.
- Developer Optimization: Optimizes settings for developers.
- Power Saver Optimization: Reduces system resource usage for longer battery life on laptops.

## Tweaks
- The script also includes individual tweaks that can be applied based on the user's specific needs.

## Future Plans
- Be able to Enable/Disable Tweaks and Presets
- Possibly update UI by migrating the code to Python
- Add more Indivdual Tweaks/Optimizations  

## Disclaimer
- This script was created with the intention of personal use, and while every effort has been made to ensure its effectiveness and safety, the author assumes no responsibility for any damage caused to the user's system.
- Use at your own risk and only apply tweaks you understand.
- This script is not responsible for any lost data or system instability.

## Screenshots
- <img src="https://user-images.githubusercontent.com/90653578/228107968-626af7ca-a9ca-406b-b8ca-ec4e0d630404.png" width="700">
- <img src="https://user-images.githubusercontent.com/90653578/228107918-3188d9a5-3ec1-4734-b0a8-98b7a0d577c2.png" width="700">
- <img src="https://user-images.githubusercontent.com/90653578/228108033-34bd8704-f15c-4f81-865b-2b6b7e6c674b.png" width="700">
- <img src="https://user-images.githubusercontent.com/90653578/228107720-3090f9ec-ea44-41af-bb99-d2c31409e4b8.png" width="700">

## License
- This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

